#ifndef CMWPARAMLASERKERFSIDE_H
#define CMWPARAMLASERKERFSIDE_H

#include "cmwidget.h"
#include <QTableWidgetItem>
#include "cctrlcombo.h"
#include "cctrllineedit.h"
namespace Ui {class CMWParamLaserKerfSide;};

class CMWParamLaserKerfSide : public CMWidget
{
	Q_OBJECT

public:
	CMWParamLaserKerfSide(QWidget *parent = 0);
	~CMWParamLaserKerfSide();
	virtual void MFresh();

	virtual void MApply();

	virtual void MInit();
private slots:
	void on_tableWidget_currentItemChanged(QTableWidgetItem *current, QTableWidgetItem *previous);

private:
	Ui::CMWParamLaserKerfSide *ui;

	QStringList m_KerfStyle;
	QStringList m_strKerPos;
};

#endif // CMWPARAMLASERKERFSIDE_H
